Bug 509401 - dnaNextValue is not updated when dnaNextvalue is set to -1
dnaNextValue is not updated when dnaNextvalue is set to -1
Product: 389
Classification: Community
Component: Server - DNA Plug-in (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Nathan Kinder
Viktor Ashirov
Depends On:
Blocks: 434914 389_1.2.1
  Show dependency treegraph
Reported: 2009-07-02 11:54 EDT by Nathan Kinder
Modified: 2015-12-07 11:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-12-07 11:58:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch (1.47 KB, patch)
2009-07-02 12:19 EDT, Nathan Kinder
no flags Details | Diff

  None (edit)
Description Nathan Kinder 2009-07-02 11:54:36 EDT
When "dnaMaxValue" is set to "-1" or omitted from a range configuration entry (which defautls to "-1" internally), the "dnaNextValue" attribute is not updated in the range configuration entry when a value is allocated from that range.

Whenever a value is allocated from the range, the "dnaNextValue" attribute should be updated accordingly.
Comment 1 Nathan Kinder 2009-07-02 12:19:47 EDT
Created attachment 350310 [details]

We were only updating the configuration entry if the new nextvalue was >=
the maxval plus the interval (1).  We need to check if the maxval is -1
specifically, and update the config entry if so.
Comment 2 Nathan Kinder 2009-07-02 13:01:59 EDT
Pushed to master.  Thanks to Rich for his review!
Comment 3 Sudhir D 2009-07-02 13:31:37 EDT
Changed QA contact to Sudhir
Comment 4 Sudhir D 2009-07-08 02:51:50 EDT
This is verified on RHDS 9.0 and fix is working as expected.

Note You need to log in before you can comment on or make changes to this bug.